package com.centreproject.system.service.job.context;

import org.springframework.stereotype.Component;

/**
 * Long 类型转换器
 * @author zhonglei.xu
 */
@Component
public class LongConverter implements TypeConverter<Long> {
    @Override
    public Long convert(String defaultValue) {
        return Long.parseLong(defaultValue);
    }

    @Override
    public Class<Long> getTargetType() {
        return Long.class;
    }
}